Bug 996241 (CVE-2013-4239) - CVE-2013-4239 libvirt: memory corruption in xenDaemonListDefinedDomains function
Summary: CVE-2013-4239 libvirt: memory corruption in xenDaemonListDefinedDomains function
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2013-4239
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 996243 996244
Blocks: 996246
TreeView+ depends on / blocked
 
Reported: 2013-08-12 18:16 UTC by Petr Matousek
Modified: 2021-02-17 07:25 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-12 18:22:01 UTC
Embargoed:


Attachments (Terms of Use)

Description Petr Matousek 2013-08-12 18:16:04 UTC
Commit 632180d1 introduced memory corruption in xenDaemonListDefinedDomains() by starting to populate the names array at index -1, causing all sorts of havoc in libvirtd such as aborts like the following

*** Error in `/usr/sbin/libvirtd': double free or corruption (out): 0x00007fffe00ccf20 ***

The xenDaemonListDefinedDomains() function is reached by the virConnectListDefinedDomains() public API, which can be used on read-only connections.

Introduced in:
libvirt v1.1.1

Introduced by:
http://libvirt.org/git/?p=libvirt.git;a=commit;h=632180d1

Fixed by:
http://libvirt.org/git/?p=libvirt.git;a=commit;h=0e671a16

Comment 2 Petr Matousek 2013-08-12 18:21:33 UTC
Created libvirt tracking bugs for this issue:

Affects: fedora-all [bug 996244]

Comment 3 Petr Matousek 2013-08-12 18:22:01 UTC
Statement:

Not vulnerable.

This issue did not affect the versions of libvirt package as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 4 Vincent Danen 2013-08-13 00:18:10 UTC
This was assigned CVE-2013-4239:

http://seclists.org/oss-sec/2013/q3/360


Note You need to log in before you can comment on or make changes to this bug.